Is there a way to turn the iso/di/tri metric views thru 90 degrees?

I keep finding that I need to create assembly drawings with iso/di or trimetric views, but from both 'sides'. Ie, I'd need the isometric view, then need to turn the assembly thru

90degrees at the same perspective. Doing this freehand is very unreliable.

Is there a way to do this?

Reply to
me
Loading thread data ...

me wrote in news:i7m7m0p78168pq064ejc8en79f22i1h6q4@

4ax.com:

Paste this into a new macro and run it to create all the other isometric views:

' ************************************************************* ' ISOViews.swp - macro recorded on 12/20/01 by Mike J. Wilson ' ************************************************************* ' Special thanks to Dennis Kelley and Dan Hanger for tips

Dim swApp As Object Dim Part As Object Dim boolstatus As Boolean Dim longstatus As Long Dim Annotation As Object Dim Gtol As Object Dim DatumTag As Object Dim FeatureData As Object Dim Feature As Object Dim Component As Object

Sub main()

Set swApp = CreateObject("SldWorks.Application") Set Part = swApp.ActiveDoc

pi = 4 * Atn(1) Z = Tan(30 * pi / 180) X = Atn(Z / Sqr(-Z * Z + 1)) Y = -45 * pi / 180

Part.DeleteNamedView ("TRtFt") Part.DeleteNamedView ("TRtRr") Part.DeleteNamedView ("TLftFt") Part.DeleteNamedView ("TLftRr")

Part.DeleteNamedView ("BRtFt") Part.DeleteNamedView ("BRtRr") Part.DeleteNamedView ("BLftFt") Part.DeleteNamedView ("BLftRr")

Part.ShowNamedView2 "*Front", -1 Part.ActiveView().RotateAboutCenter X, Y Part.ViewZoomtofit2 Part.NameView ("TRtFt")

Part.ShowNamedView2 "*Right", -1 Part.ActiveView().RotateAboutCenter X, Y Part.ViewZoomtofit2 Part.NameView ("TRtRr")

Part.ShowNamedView2 "*Back", -1 Part.ActiveView().RotateAboutCenter X, Y Part.ViewZoomtofit2 Part.NameView ("TLftRr")

Part.ShowNamedView2 "*Left", -1 Part.ActiveView().RotateAboutCenter X, Y Part.ViewZoomtofit2 Part.NameView ("TLftFt")

Part.ShowNamedView2 "*Front", -1 Part.ActiveView().RotateAboutCenter -X, Y Part.ViewZoomtofit2 Part.NameView ("BRtFt")

Part.ShowNamedView2 "*Right", -1 Part.ActiveView().RotateAboutCenter -X, Y Part.ViewZoomtofit2 Part.NameView ("BRtRr")

Part.ShowNamedView2 "*Back", -1 Part.ActiveView().RotateAboutCenter -X, Y Part.ViewZoomtofit2 Part.NameView ("BLftRr")

Part.ShowNamedView2 "*Left", -1 Part.ActiveView().RotateAboutCenter -X, Y Part.ViewZoomtofit2 Part.NameView ("BLftFt")

Set Part = Nothing Set swApp = Nothing

End Sub

Reply to
Dale Dunn

on my website, I have a macro (written by someone else) which creates 8 isometric views in a model.

formatting link

go to the Macro Library page

matt

me wrote in news:i7m7m0p78168pq064ejc8en79f22i1h6q4@

4ax.com:

Reply to
matt

An oldie, but a goodie...

Put your model in a front view. Use the spacebar to pop up the view thingy (pin it in place). Select "right", and then the icon that updates standard views. Plow through the warning, and when you select isometric you'll have one at 90 degrees from where you were. Now add a new view, name it (right iso?), and you can reset standard views to get them back to the default.

There are some macros out there somewhere that will do this for you, and create all of the different iso's you might want.

Richard

Reply to
Richard Doyle

Quick and dirty If you aren't worried about exact rotation of the model arround the Y axis. You can double click a surface that is in the XZ plane and dynamically rotate the model to the desired Y axis rotation. Then save the View.

Corey Scheich

Reply to
Corey Scheich

If you are using the keypad macros for ease of model view manipulation, it creates all of those views just as the posted macro does. Plus you get the benefit of quick access to them.

WT

Reply to
Wayne Tiffany

If it simply a 90° view from the iso that you want:

  1. Click iso view to get the model to that view
  2. Hold the shift button and the Left, Right, Up, or Down arrow button to move 90°
  3. Repeat step 2 for another 90°

What I do a lot of times when I don't want to use one of the default named views is to actually create my own new named view, such as "Drawing Iso1". That way when I insert the view into the drawing as the new named view, and I don't like the angle very well, all I have to do is redefine the "Drawing Iso1" named view and it will update on the drawing.

If you use "Current Model View" instead of a named view, and realize that you don't like this view in the drawing, the only way to fix it is to delete the view and reinsert a new re-oriented "Current Model View".

Reply to
Seth Renigar

If you are using SW2005 you can use the projected view feature to drag and drop isometric views in all four directions.

Mark Downey

Reply to
Mark Downey

Hi guys,

Thanks for the replies, all which I looked at. I went with a macro from Matt's page in the end.

Very cool.

ttfn

Reply to
me

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.